Name:		xpad
Version:	2.14
Release:	2%{?dist}
Summary:	Sticky notepad for GTK+2

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://xpad.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	hicolor-icon-theme
BuildRequires:	gtk2-devel libSM-devel gettext desktop-file-utils

%description
Xpad is a sticky note application written using GTK+ 2.0 
that strives to be simple, fault-tolerant, and customizable. 
Xpad consists of independent pad windows; each is basically 
a text box in which notes can be written. Despite being 
called xpad, all that is needed to run or compile it is 
the GTK+ 2.0 libraries.

%prep
%setup -q


%build
%configure

make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# desktop file stuff
desktop-file-install --vendor="fedora" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS THANKS TODO
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Jul 18 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 2.14-2
- description fixed
- Add doc NEWS, THANKS and TODO
- Add Requires: hicolor-icon-theme
- Remove BuildRequires: libICE-devel

* Fri Jul 11 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 2.14-1
- Initial SPEC file
